{
  "version": "1",
  "metadata": {
    "marimo_version": "0.15.2"
  },
  "cells": [
    {
      "id": "Hbol",
      "code_hash": "1d0db38904205bec4d6f6f6a1f6cec3e",
      "outputs": [
        {
          "type": "data",
          "data": {
            "text/plain": ""
          }
        }
      ],
      "console": []
    },
    {
      "id": "MJUe",
      "code_hash": "bd9d2d42c5c0bd13386b2d51d8ee7f00",
      "outputs": [
        {
          "type": "data",
          "data": {
            "text/plain": ""
          }
        }
      ],
      "console": []
    },
    {
      "id": "vblA",
      "code_hash": "21e77994938bef4adcce5e754324955a",
      "outputs": [
        {
          "type": "data",
          "data": {
            "text/html": "<marimo-ui-element object-id='vblA-0' random-id='ef410257-82d6-e20a-29b8-5d0e4b859d01'><marimo-anywidget data-initial-value='{&quot;base64&quot;: &quot;&quot;, &quot;height&quot;: 550, &quot;show_grid&quot;: false, &quot;store_background&quot;: true, &quot;store_grid&quot;: false, &quot;width&quot;: 889}' data-label='null' data-js-url='&quot;./@file/197459-4486-KBTc5QEn.js&quot;' data-js-hash='&quot;5625b09a0a93e961ae81b1261cc809bf&quot;' data-css='&quot;*, ::before, ::after {&#92;n  --tw-border-spacing-x: 0;&#92;n  --tw-border-spacing-y: 0;&#92;n  --tw-translate-x: 0;&#92;n  --tw-translate-y: 0;&#92;n  --tw-rotate: 0;&#92;n  --tw-skew-x: 0;&#92;n  --tw-skew-y: 0;&#92;n  --tw-scale-x: 1;&#92;n  --tw-scale-y: 1;&#92;n  --tw-pan-x:  ;&#92;n  --tw-pan-y:  ;&#92;n  --tw-pinch-zoom:  ;&#92;n  --tw-scroll-snap-strictness: proximity;&#92;n  --tw-gradient-from-position:  ;&#92;n  --tw-gradient-via-position:  ;&#92;n  --tw-gradient-to-position:  ;&#92;n  --tw-ordinal:  ;&#92;n  --tw-slashed-zero:  ;&#92;n  --tw-numeric-figure:  ;&#92;n  --tw-numeric-spacing:  ;&#92;n  --tw-numeric-fraction:  ;&#92;n  --tw-ring-inset:  ;&#92;n  --tw-ring-offset-width: 0px;&#92;n  --tw-ring-offset-color: #fff;&#92;n  --tw-ring-color: rgb(59 130 246 / 0.5);&#92;n  --tw-ring-offset-shadow: 0 0 #0000;&#92;n  --tw-ring-shadow: 0 0 #0000;&#92;n  --tw-shadow: 0 0 #0000;&#92;n  --tw-shadow-colored: 0 0 #0000;&#92;n  --tw-blur:  ;&#92;n  --tw-brightness:  ;&#92;n  --tw-contrast:  ;&#92;n  --tw-grayscale:  ;&#92;n  --tw-hue-rotate:  ;&#92;n  --tw-invert:  ;&#92;n  --tw-saturate:  ;&#92;n  --tw-sepia:  ;&#92;n  --tw-drop-shadow:  ;&#92;n  --tw-backdrop-blur:  ;&#92;n  --tw-backdrop-brightness:  ;&#92;n  --tw-backdrop-contrast:  ;&#92;n  --tw-backdrop-grayscale:  ;&#92;n  --tw-backdrop-hue-rotate:  ;&#92;n  --tw-backdrop-invert:  ;&#92;n  --tw-backdrop-opacity:  ;&#92;n  --tw-backdrop-saturate:  ;&#92;n  --tw-backdrop-sepia:  ;&#92;n  --tw-contain-size:  ;&#92;n  --tw-contain-layout:  ;&#92;n  --tw-contain-paint:  ;&#92;n  --tw-contain-style:  ;&#92;n}&#92;n&#92;n::backdrop {&#92;n  --tw-border-spacing-x: 0;&#92;n  --tw-border-spacing-y: 0;&#92;n  --tw-translate-x: 0;&#92;n  --tw-translate-y: 0;&#92;n  --tw-rotate: 0;&#92;n  --tw-skew-x: 0;&#92;n  --tw-skew-y: 0;&#92;n  --tw-scale-x: 1;&#92;n  --tw-scale-y: 1;&#92;n  --tw-pan-x:  ;&#92;n  --tw-pan-y:  ;&#92;n  --tw-pinch-zoom:  ;&#92;n  --tw-scroll-snap-strictness: proximity;&#92;n  --tw-gradient-from-position:  ;&#92;n  --tw-gradient-via-position:  ;&#92;n  --tw-gradient-to-position:  ;&#92;n  --tw-ordinal:  ;&#92;n  --tw-slashed-zero:  ;&#92;n  --tw-numeric-figure:  ;&#92;n  --tw-numeric-spacing:  ;&#92;n  --tw-numeric-fraction:  ;&#92;n  --tw-ring-inset:  ;&#92;n  --tw-ring-offset-width: 0px;&#92;n  --tw-ring-offset-color: #fff;&#92;n  --tw-ring-color: rgb(59 130 246 / 0.5);&#92;n  --tw-ring-offset-shadow: 0 0 #0000;&#92;n  --tw-ring-shadow: 0 0 #0000;&#92;n  --tw-shadow: 0 0 #0000;&#92;n  --tw-shadow-colored: 0 0 #0000;&#92;n  --tw-blur:  ;&#92;n  --tw-brightness:  ;&#92;n  --tw-contrast:  ;&#92;n  --tw-grayscale:  ;&#92;n  --tw-hue-rotate:  ;&#92;n  --tw-invert:  ;&#92;n  --tw-saturate:  ;&#92;n  --tw-sepia:  ;&#92;n  --tw-drop-shadow:  ;&#92;n  --tw-backdrop-blur:  ;&#92;n  --tw-backdrop-brightness:  ;&#92;n  --tw-backdrop-contrast:  ;&#92;n  --tw-backdrop-grayscale:  ;&#92;n  --tw-backdrop-hue-rotate:  ;&#92;n  --tw-backdrop-invert:  ;&#92;n  --tw-backdrop-opacity:  ;&#92;n  --tw-backdrop-saturate:  ;&#92;n  --tw-backdrop-sepia:  ;&#92;n  --tw-contain-size:  ;&#92;n  --tw-contain-layout:  ;&#92;n  --tw-contain-paint:  ;&#92;n  --tw-contain-style:  ;&#92;n}&#92;n&#92;n/*&#92;n! tailwindcss v3.4.17 | MIT License | https://tailwindcss.com&#92;n*/&#92;n&#92;n/*&#92;n1. Prevent padding and border from affecting element width. (https://github.com/mozdevs/cssremedy/issues/4)&#92;n2. Allow adding a border to an element by just adding a border-width. (https://github.com/tailwindcss/tailwindcss/pull/116)&#92;n*/&#92;n&#92;n*,&#92;n::before,&#92;n::after {&#92;n  box-sizing: border-box;&#92;n  /* 1 */&#92;n  border-width: 0;&#92;n  /* 2 */&#92;n  border-style: solid;&#92;n  /* 2 */&#92;n  border-color: #e5e7eb;&#92;n  /* 2 */&#92;n}&#92;n&#92;n::before,&#92;n::after {&#92;n  --tw-content: &#x27;&#x27;;&#92;n}&#92;n&#92;n/*&#92;n1. Use a consistent sensible line-height in all browsers.&#92;n2. Prevent adjustments of font size after orientation changes in iOS.&#92;n3. Use a more readable tab size.&#92;n4. Use the user&#x27;s configured `sans` font-family by default.&#92;n5. Use the user&#x27;s configured `sans` font-feature-settings by default.&#92;n6. Use the user&#x27;s configured `sans` font-variation-settings by default.&#92;n7. Disable tap highlights on iOS&#92;n*/&#92;n&#92;nhtml,&#92;n:host {&#92;n  line-height: 1.5;&#92;n  /* 1 */&#92;n  -webkit-text-size-adjust: 100%;&#92;n  /* 2 */&#92;n  -moz-tab-size: 4;&#92;n  /* 3 */&#92;n  -o-tab-size: 4;&#92;n     tab-size: 4;&#92;n  /* 3 */&#92;n  font-family: ui-sans-serif, system-ui, sans-serif, &#92;&quot;Apple Color Emoji&#92;&quot;, &#92;&quot;Segoe UI Emoji&#92;&quot;, &#92;&quot;Segoe UI Symbol&#92;&quot;, &#92;&quot;Noto Color Emoji&#92;&quot;;&#92;n  /* 4 */&#92;n  font-feature-settings: normal;&#92;n  /* 5 */&#92;n  font-variation-settings: normal;&#92;n  /* 6 */&#92;n  -webkit-tap-highlight-color: transparent;&#92;n  /* 7 */&#92;n}&#92;n&#92;n/*&#92;n1. Remove the margin in all browsers.&#92;n2. Inherit line-height from `html` so users can set them as a class directly on the `html` element.&#92;n*/&#92;n&#92;nbody {&#92;n  margin: 0;&#92;n  /* 1 */&#92;n  line-height: inherit;&#92;n  /* 2 */&#92;n}&#92;n&#92;n/*&#92;n1. Add the correct height in Firefox.&#92;n2. Correct the inheritance of border color in Firefox. (https://bugzilla.mozilla.org/show_bug.cgi?id=190655)&#92;n3. Ensure horizontal rules are visible by default.&#92;n*/&#92;n&#92;nhr {&#92;n  height: 0;&#92;n  /* 1 */&#92;n  color: inherit;&#92;n  /* 2 */&#92;n  border-top-width: 1px;&#92;n  /* 3 */&#92;n}&#92;n&#92;n/*&#92;nAdd the correct text decoration in Chrome, Edge, and Safari.&#92;n*/&#92;n&#92;nabbr:where([title]) {&#92;n  -webkit-text-decoration: underline dotted;&#92;n          text-decoration: underline dotted;&#92;n}&#92;n&#92;n/*&#92;nRemove the default font size and weight for headings.&#92;n*/&#92;n&#92;nh1,&#92;nh2,&#92;nh3,&#92;nh4,&#92;nh5,&#92;nh6 {&#92;n  font-size: inherit;&#92;n  font-weight: inherit;&#92;n}&#92;n&#92;n/*&#92;nReset links to optimize for opt-in styling instead of opt-out.&#92;n*/&#92;n&#92;na {&#92;n  color: inherit;&#92;n  text-decoration: inherit;&#92;n}&#92;n&#92;n/*&#92;nAdd the correct font weight in Edge and Safari.&#92;n*/&#92;n&#92;nb,&#92;nstrong {&#92;n  font-weight: bolder;&#92;n}&#92;n&#92;n/*&#92;n1. Use the user&#x27;s configured `mono` font-family by default.&#92;n2. Use the user&#x27;s configured `mono` font-feature-settings by default.&#92;n3. Use the user&#x27;s configured `mono` font-variation-settings by default.&#92;n4. Correct the odd `em` font sizing in all browsers.&#92;n*/&#92;n&#92;ncode,&#92;nkbd,&#92;nsamp,&#92;npre {&#92;n  font-family: ui-monospace, SFMono-Regular, Menlo, Monaco, Consolas, &#92;&quot;Liberation Mono&#92;&quot;, &#92;&quot;Courier New&#92;&quot;, monospace;&#92;n  /* 1 */&#92;n  font-feature-settings: normal;&#92;n  /* 2 */&#92;n  font-variation-settings: normal;&#92;n  /* 3 */&#92;n  font-size: 1em;&#92;n  /* 4 */&#92;n}&#92;n&#92;n/*&#92;nAdd the correct font size in all browsers.&#92;n*/&#92;n&#92;nsmall {&#92;n  font-size: 80%;&#92;n}&#92;n&#92;n/*&#92;nPrevent `sub` and `sup` elements from affecting the line height in all browsers.&#92;n*/&#92;n&#92;nsub,&#92;nsup {&#92;n  font-size: 75%;&#92;n  line-height: 0;&#92;n  position: relative;&#92;n  vertical-align: baseline;&#92;n}&#92;n&#92;nsub {&#92;n  bottom: -0.25em;&#92;n}&#92;n&#92;nsup {&#92;n  top: -0.5em;&#92;n}&#92;n&#92;n/*&#92;n1. Remove text indentation from table contents in Chrome and Safari. (https://bugs.chromium.org/p/chromium/issues/detail?id=999088, https://bugs.webkit.org/show_bug.cgi?id=201297)&#92;n2. Correct table border color inheritance in all Chrome and Safari. (https://bugs.chromium.org/p/chromium/issues/detail?id=935729, https://bugs.webkit.org/show_bug.cgi?id=195016)&#92;n3. Remove gaps between table borders by default.&#92;n*/&#92;n&#92;ntable {&#92;n  text-indent: 0;&#92;n  /* 1 */&#92;n  border-color: inherit;&#92;n  /* 2 */&#92;n  border-collapse: collapse;&#92;n  /* 3 */&#92;n}&#92;n&#92;n/*&#92;n1. Change the font styles in all browsers.&#92;n2. Remove the margin in Firefox and Safari.&#92;n3. Remove default padding in all browsers.&#92;n*/&#92;n&#92;nbutton,&#92;ninput,&#92;noptgroup,&#92;nselect,&#92;ntextarea {&#92;n  font-family: inherit;&#92;n  /* 1 */&#92;n  font-feature-settings: inherit;&#92;n  /* 1 */&#92;n  font-variation-settings: inherit;&#92;n  /* 1 */&#92;n  font-size: 100%;&#92;n  /* 1 */&#92;n  font-weight: inherit;&#92;n  /* 1 */&#92;n  line-height: inherit;&#92;n  /* 1 */&#92;n  letter-spacing: inherit;&#92;n  /* 1 */&#92;n  color: inherit;&#92;n  /* 1 */&#92;n  margin: 0;&#92;n  /* 2 */&#92;n  padding: 0;&#92;n  /* 3 */&#92;n}&#92;n&#92;n/*&#92;nRemove the inheritance of text transform in Edge and Firefox.&#92;n*/&#92;n&#92;nbutton,&#92;nselect {&#92;n  text-transform: none;&#92;n}&#92;n&#92;n/*&#92;n1. Correct the inability to style clickable types in iOS and Safari.&#92;n2. Remove default button styles.&#92;n*/&#92;n&#92;nbutton,&#92;ninput:where([type=&#x27;button&#x27;]),&#92;ninput:where([type=&#x27;reset&#x27;]),&#92;ninput:where([type=&#x27;submit&#x27;]) {&#92;n  -webkit-appearance: button;&#92;n  /* 1 */&#92;n  background-color: transparent;&#92;n  /* 2 */&#92;n  background-image: none;&#92;n  /* 2 */&#92;n}&#92;n&#92;n/*&#92;nUse the modern Firefox focus style for all focusable elements.&#92;n*/&#92;n&#92;n:-moz-focusring {&#92;n  outline: auto;&#92;n}&#92;n&#92;n/*&#92;nRemove the additional `:invalid` styles in Firefox. (https://github.com/mozilla/gecko-dev/blob/2f9eacd9d3d995c937b4251a5557d95d494c9be1/layout/style/res/forms.css#L728-L737)&#92;n*/&#92;n&#92;n:-moz-ui-invalid {&#92;n  box-shadow: none;&#92;n}&#92;n&#92;n/*&#92;nAdd the correct vertical alignment in Chrome and Firefox.&#92;n*/&#92;n&#92;nprogress {&#92;n  vertical-align: baseline;&#92;n}&#92;n&#92;n/*&#92;nCorrect the cursor style of increment and decrement buttons in Safari.&#92;n*/&#92;n&#92;n::-webkit-inner-spin-button,&#92;n::-webkit-outer-spin-button {&#92;n  height: auto;&#92;n}&#92;n&#92;n/*&#92;n1. Correct the odd appearance in Chrome and Safari.&#92;n2. Correct the outline style in Safari.&#92;n*/&#92;n&#92;n[type=&#x27;search&#x27;] {&#92;n  -webkit-appearance: textfield;&#92;n  /* 1 */&#92;n  outline-offset: -2px;&#92;n  /* 2 */&#92;n}&#92;n&#92;n/*&#92;nRemove the inner padding in Chrome and Safari on macOS.&#92;n*/&#92;n&#92;n::-webkit-search-decoration {&#92;n  -webkit-appearance: none;&#92;n}&#92;n&#92;n/*&#92;n1. Correct the inability to style clickable types in iOS and Safari.&#92;n2. Change font properties to `inherit` in Safari.&#92;n*/&#92;n&#92;n::-webkit-file-upload-button {&#92;n  -webkit-appearance: button;&#92;n  /* 1 */&#92;n  font: inherit;&#92;n  /* 2 */&#92;n}&#92;n&#92;n/*&#92;nAdd the correct display in Chrome and Safari.&#92;n*/&#92;n&#92;nsummary {&#92;n  display: list-item;&#92;n}&#92;n&#92;n/*&#92;nRemoves the default spacing and border for appropriate elements.&#92;n*/&#92;n&#92;nblockquote,&#92;ndl,&#92;ndd,&#92;nh1,&#92;nh2,&#92;nh3,&#92;nh4,&#92;nh5,&#92;nh6,&#92;nhr,&#92;nfigure,&#92;np,&#92;npre {&#92;n  margin: 0;&#92;n}&#92;n&#92;nfieldset {&#92;n  margin: 0;&#92;n  padding: 0;&#92;n}&#92;n&#92;nlegend {&#92;n  padding: 0;&#92;n}&#92;n&#92;nol,&#92;nul,&#92;nmenu {&#92;n  list-style: none;&#92;n  margin: 0;&#92;n  padding: 0;&#92;n}&#92;n&#92;n/*&#92;nReset default styling for dialogs.&#92;n*/&#92;n&#92;ndialog {&#92;n  padding: 0;&#92;n}&#92;n&#92;n/*&#92;nPrevent resizing textareas horizontally by default.&#92;n*/&#92;n&#92;ntextarea {&#92;n  resize: vertical;&#92;n}&#92;n&#92;n/*&#92;n1. Reset the default placeholder opacity in Firefox. (https://github.com/tailwindlabs/tailwindcss/issues/3300)&#92;n2. Set the default placeholder color to the user&#x27;s configured gray 400 color.&#92;n*/&#92;n&#92;ninput::-moz-placeholder, textarea::-moz-placeholder {&#92;n  opacity: 1;&#92;n  /* 1 */&#92;n  color: #9ca3af;&#92;n  /* 2 */&#92;n}&#92;n&#92;ninput::placeholder,&#92;ntextarea::placeholder {&#92;n  opacity: 1;&#92;n  /* 1 */&#92;n  color: #9ca3af;&#92;n  /* 2 */&#92;n}&#92;n&#92;n/*&#92;nSet the default cursor for buttons.&#92;n*/&#92;n&#92;nbutton,&#92;n[role=&#92;&quot;button&#92;&quot;] {&#92;n  cursor: pointer;&#92;n}&#92;n&#92;n/*&#92;nMake sure disabled buttons don&#x27;t get the pointer cursor.&#92;n*/&#92;n&#92;n:disabled {&#92;n  cursor: default;&#92;n}&#92;n&#92;n/*&#92;n1. Make replaced elements `display: block` by default. (https://github.com/mozdevs/cssremedy/issues/14)&#92;n2. Add `vertical-align: middle` to align replaced elements more sensibly by default. (https://github.com/jensimmons/cssremedy/issues/14#issuecomment-634934210)&#92;n   This can trigger a poorly considered lint error in some tools but is included by design.&#92;n*/&#92;n&#92;nimg,&#92;nsvg,&#92;nvideo,&#92;ncanvas,&#92;naudio,&#92;niframe,&#92;nembed,&#92;nobject {&#92;n  display: block;&#92;n  /* 1 */&#92;n  vertical-align: middle;&#92;n  /* 2 */&#92;n}&#92;n&#92;n/*&#92;nConstrain images and videos to the parent width and preserve their intrinsic aspect ratio. (https://github.com/mozdevs/cssremedy/issues/14)&#92;n*/&#92;n&#92;nimg,&#92;nvideo {&#92;n  max-width: 100%;&#92;n  height: auto;&#92;n}&#92;n&#92;n/* Make elements with the HTML hidden attribute stay hidden by default */&#92;n&#92;n[hidden]:where(:not([hidden=&#92;&quot;until-found&#92;&quot;])) {&#92;n  display: none;&#92;n}&#92;n&#92;n[type=&#x27;text&#x27;],input:where(:not([type])),[type=&#x27;email&#x27;],[type=&#x27;url&#x27;],[type=&#x27;password&#x27;],[type=&#x27;number&#x27;],[type=&#x27;date&#x27;],[type=&#x27;datetime-local&#x27;],[type=&#x27;month&#x27;],[type=&#x27;search&#x27;],[type=&#x27;tel&#x27;],[type=&#x27;time&#x27;],[type=&#x27;week&#x27;],[multiple],textarea,select {&#92;n  -webkit-appearance: none;&#92;n     -moz-appearance: none;&#92;n          appearance: none;&#92;n  background-color: #fff;&#92;n  border-color: #6b7280;&#92;n  border-width: 1px;&#92;n  border-radius: 0px;&#92;n  padding-top: 0.5rem;&#92;n  padding-right: 0.75rem;&#92;n  padding-bottom: 0.5rem;&#92;n  padding-left: 0.75rem;&#92;n  font-size: 1rem;&#92;n  line-height: 1.5rem;&#92;n  --tw-shadow: 0 0 #0000;&#92;n}&#92;n&#92;n[type=&#x27;text&#x27;]:focus, input:where(:not([type])):focus, [type=&#x27;email&#x27;]:focus, [type=&#x27;url&#x27;]:focus, [type=&#x27;password&#x27;]:focus, [type=&#x27;number&#x27;]:focus, [type=&#x27;date&#x27;]:focus, [type=&#x27;datetime-local&#x27;]:focus, [type=&#x27;month&#x27;]:focus, [type=&#x27;search&#x27;]:focus, [type=&#x27;tel&#x27;]:focus, [type=&#x27;time&#x27;]:focus, [type=&#x27;week&#x27;]:focus, [multiple]:focus, textarea:focus, select:focus {&#92;n  outline: 2px solid transparent;&#92;n  outline-offset: 2px;&#92;n  --tw-ring-inset: var(--tw-empty,/*!*/ /*!*/);&#92;n  --tw-ring-offset-width: 0px;&#92;n  --tw-ring-offset-color: #fff;&#92;n  --tw-ring-color: #2563eb;&#92;n  --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);&#92;n  --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(1px + var(--tw-ring-offset-width)) var(--tw-ring-color);&#92;n  box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow);&#92;n  border-color: #2563eb;&#92;n}&#92;n&#92;ninput::-moz-placeholder, textarea::-moz-placeholder {&#92;n  color: #6b7280;&#92;n  opacity: 1;&#92;n}&#92;n&#92;ninput::placeholder,textarea::placeholder {&#92;n  color: #6b7280;&#92;n  opacity: 1;&#92;n}&#92;n&#92;n::-webkit-datetime-edit-fields-wrapper {&#92;n  padding: 0;&#92;n}&#92;n&#92;n::-webkit-date-and-time-value {&#92;n  min-height: 1.5em;&#92;n  text-align: inherit;&#92;n}&#92;n&#92;n::-webkit-datetime-edit {&#92;n  display: inline-flex;&#92;n}&#92;n&#92;n::-webkit-datetime-edit,::-webkit-datetime-edit-year-field,::-webkit-datetime-edit-month-field,::-webkit-datetime-edit-day-field,::-webkit-datetime-edit-hour-field,::-webkit-datetime-edit-minute-field,::-webkit-datetime-edit-second-field,::-webkit-datetime-edit-millisecond-field,::-webkit-datetime-edit-meridiem-field {&#92;n  padding-top: 0;&#92;n  padding-bottom: 0;&#92;n}&#92;n&#92;nselect {&#92;n  background-image: url(&#92;&quot;data:image/svg+xml,%3csvg xmlns=&#x27;http://www.w3.org/2000/svg&#x27; fill=&#x27;none&#x27; viewBox=&#x27;0 0 20 20&#x27;%3e%3cpath stroke=&#x27;%236b7280&#x27; stroke-linecap=&#x27;round&#x27; stroke-linejoin=&#x27;round&#x27; stroke-width=&#x27;1.5&#x27; d=&#x27;M6 8l4 4 4-4&#x27;/%3e%3c/svg%3e&#92;&quot;);&#92;n  background-position: right 0.5rem center;&#92;n  background-repeat: no-repeat;&#92;n  background-size: 1.5em 1.5em;&#92;n  padding-right: 2.5rem;&#92;n  -webkit-print-color-adjust: exact;&#92;n          print-color-adjust: exact;&#92;n}&#92;n&#92;n[multiple],[size]:where(select:not([size=&#92;&quot;1&#92;&quot;])) {&#92;n  background-image: initial;&#92;n  background-position: initial;&#92;n  background-repeat: unset;&#92;n  background-size: initial;&#92;n  padding-right: 0.75rem;&#92;n  -webkit-print-color-adjust: unset;&#92;n          print-color-adjust: unset;&#92;n}&#92;n&#92;n[type=&#x27;checkbox&#x27;],[type=&#x27;radio&#x27;] {&#92;n  -webkit-appearance: none;&#92;n     -moz-appearance: none;&#92;n          appearance: none;&#92;n  padding: 0;&#92;n  -webkit-print-color-adjust: exact;&#92;n          print-color-adjust: exact;&#92;n  display: inline-block;&#92;n  vertical-align: middle;&#92;n  background-origin: border-box;&#92;n  -webkit-user-select: none;&#92;n     -moz-user-select: none;&#92;n          user-select: none;&#92;n  flex-shrink: 0;&#92;n  height: 1rem;&#92;n  width: 1rem;&#92;n  color: #2563eb;&#92;n  background-color: #fff;&#92;n  border-color: #6b7280;&#92;n  border-width: 1px;&#92;n  --tw-shadow: 0 0 #0000;&#92;n}&#92;n&#92;n[type=&#x27;checkbox&#x27;] {&#92;n  border-radius: 0px;&#92;n}&#92;n&#92;n[type=&#x27;radio&#x27;] {&#92;n  border-radius: 100%;&#92;n}&#92;n&#92;n[type=&#x27;checkbox&#x27;]:focus,[type=&#x27;radio&#x27;]:focus {&#92;n  outline: 2px solid transparent;&#92;n  outline-offset: 2px;&#92;n  --tw-ring-inset: var(--tw-empty,/*!*/ /*!*/);&#92;n  --tw-ring-offset-width: 2px;&#92;n  --tw-ring-offset-color: #fff;&#92;n  --tw-ring-color: #2563eb;&#92;n  --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);&#92;n  --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(2px + var(--tw-ring-offset-width)) var(--tw-ring-color);&#92;n  box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow);&#92;n}&#92;n&#92;n[type=&#x27;checkbox&#x27;]:checked,[type=&#x27;radio&#x27;]:checked {&#92;n  border-color: transparent;&#92;n  background-color: currentColor;&#92;n  background-size: 100% 100%;&#92;n  background-position: center;&#92;n  background-repeat: no-repeat;&#92;n}&#92;n&#92;n[type=&#x27;checkbox&#x27;]:checked {&#92;n  background-image: url(&#92;&quot;data:image/svg+xml,%3csvg viewBox=&#x27;0 0 16 16&#x27; fill=&#x27;white&#x27; xmlns=&#x27;http://www.w3.org/2000/svg&#x27;%3e%3cpath d=&#x27;M12.207 4.793a1 1 0 010 1.414l-5 5a1 1 0 01-1.414 0l-2-2a1 1 0 011.414-1.414L6.5 9.086l4.293-4.293a1 1 0 011.414 0z&#x27;/%3e%3c/svg%3e&#92;&quot;);&#92;n}&#92;n&#92;n@media (forced-colors: active)  {&#92;n  [type=&#x27;checkbox&#x27;]:checked {&#92;n    -webkit-appearance: auto;&#92;n       -moz-appearance: auto;&#92;n            appearance: auto;&#92;n  }&#92;n}&#92;n&#92;n[type=&#x27;radio&#x27;]:checked {&#92;n  background-image: url(&#92;&quot;data:image/svg+xml,%3csvg viewBox=&#x27;0 0 16 16&#x27; fill=&#x27;white&#x27; xmlns=&#x27;http://www.w3.org/2000/svg&#x27;%3e%3ccircle cx=&#x27;8&#x27; cy=&#x27;8&#x27; r=&#x27;3&#x27;/%3e%3c/svg%3e&#92;&quot;);&#92;n}&#92;n&#92;n@media (forced-colors: active)  {&#92;n  [type=&#x27;radio&#x27;]:checked {&#92;n    -webkit-appearance: auto;&#92;n       -moz-appearance: auto;&#92;n            appearance: auto;&#92;n  }&#92;n}&#92;n&#92;n[type=&#x27;checkbox&#x27;]:checked:hover,[type=&#x27;checkbox&#x27;]:checked:focus,[type=&#x27;radio&#x27;]:checked:hover,[type=&#x27;radio&#x27;]:checked:focus {&#92;n  border-color: transparent;&#92;n  background-color: currentColor;&#92;n}&#92;n&#92;n[type=&#x27;checkbox&#x27;]:indeterminate {&#92;n  background-image: url(&#92;&quot;data:image/svg+xml,%3csvg xmlns=&#x27;http://www.w3.org/2000/svg&#x27; fill=&#x27;none&#x27; viewBox=&#x27;0 0 16 16&#x27;%3e%3cpath stroke=&#x27;white&#x27; stroke-linecap=&#x27;round&#x27; stroke-linejoin=&#x27;round&#x27; stroke-width=&#x27;2&#x27; d=&#x27;M4 8h8&#x27;/%3e%3c/svg%3e&#92;&quot;);&#92;n  border-color: transparent;&#92;n  background-color: currentColor;&#92;n  background-size: 100% 100%;&#92;n  background-position: center;&#92;n  background-repeat: no-repeat;&#92;n}&#92;n&#92;n@media (forced-colors: active)  {&#92;n  [type=&#x27;checkbox&#x27;]:indeterminate {&#92;n    -webkit-appearance: auto;&#92;n       -moz-appearance: auto;&#92;n            appearance: auto;&#92;n  }&#92;n}&#92;n&#92;n[type=&#x27;checkbox&#x27;]:indeterminate:hover,[type=&#x27;checkbox&#x27;]:indeterminate:focus {&#92;n  border-color: transparent;&#92;n  background-color: currentColor;&#92;n}&#92;n&#92;n[type=&#x27;file&#x27;] {&#92;n  background: unset;&#92;n  border-color: inherit;&#92;n  border-width: 0;&#92;n  border-radius: 0;&#92;n  padding: 0;&#92;n  font-size: unset;&#92;n  line-height: inherit;&#92;n}&#92;n&#92;n[type=&#x27;file&#x27;]:focus {&#92;n  outline: 1px solid ButtonText;&#92;n  outline: 1px auto -webkit-focus-ring-color;&#92;n}&#92;n&#92;n.container {&#92;n  width: 100%;&#92;n}&#92;n&#92;n.&#92;&#92;!container {&#92;n  width: 100% !important;&#92;n}&#92;n&#92;n@media (min-width: 640px) {&#92;n  .container {&#92;n    max-width: 640px;&#92;n  }&#92;n&#92;n  .&#92;&#92;!container {&#92;n    max-width: 640px !important;&#92;n  }&#92;n}&#92;n&#92;n@media (min-width: 768px) {&#92;n  .container {&#92;n    max-width: 768px;&#92;n  }&#92;n&#92;n  .&#92;&#92;!container {&#92;n    max-width: 768px !important;&#92;n  }&#92;n}&#92;n&#92;n@media (min-width: 1024px) {&#92;n  .container {&#92;n    max-width: 1024px;&#92;n  }&#92;n&#92;n  .&#92;&#92;!container {&#92;n    max-width: 1024px !important;&#92;n  }&#92;n}&#92;n&#92;n@media (min-width: 1280px) {&#92;n  .container {&#92;n    max-width: 1280px;&#92;n  }&#92;n&#92;n  .&#92;&#92;!container {&#92;n    max-width: 1280px !important;&#92;n  }&#92;n}&#92;n&#92;n@media (min-width: 1536px) {&#92;n  .container {&#92;n    max-width: 1536px;&#92;n  }&#92;n&#92;n  .&#92;&#92;!container {&#92;n    max-width: 1536px !important;&#92;n  }&#92;n}&#92;n&#92;n.absolute {&#92;n  position: absolute;&#92;n}&#92;n&#92;n.relative {&#92;n  position: relative;&#92;n}&#92;n&#92;n.left-0 {&#92;n  left: 0px;&#92;n}&#92;n&#92;n.right-0 {&#92;n  right: 0px;&#92;n}&#92;n&#92;n.top-0 {&#92;n  top: 0px;&#92;n}&#92;n&#92;n.my-1 {&#92;n  margin-top: 0.25rem;&#92;n  margin-bottom: 0.25rem;&#92;n}&#92;n&#92;n.mb-0&#92;&#92;.5 {&#92;n  margin-bottom: 0.125rem;&#92;n}&#92;n&#92;n.mr-4 {&#92;n  margin-right: 1rem;&#92;n}&#92;n&#92;n.ml-2 {&#92;n  margin-left: 0.5rem;&#92;n}&#92;n&#92;n.flex {&#92;n  display: flex;&#92;n}&#92;n&#92;n.inline-flex {&#92;n  display: inline-flex;&#92;n}&#92;n&#92;n.grid {&#92;n  display: grid;&#92;n}&#92;n&#92;n.h-0&#92;&#92;.5 {&#92;n  height: 0.125rem;&#92;n}&#92;n&#92;n.h-5 {&#92;n  height: 1.25rem;&#92;n}&#92;n&#92;n.h-6 {&#92;n  height: 1.5rem;&#92;n}&#92;n&#92;n.h-7 {&#92;n  height: 1.75rem;&#92;n}&#92;n&#92;n.min-h-0 {&#92;n  min-height: 0px;&#92;n}&#92;n&#92;n.w-5 {&#92;n  width: 1.25rem;&#92;n}&#92;n&#92;n.w-6 {&#92;n  width: 1.5rem;&#92;n}&#92;n&#92;n.w-7 {&#92;n  width: 1.75rem;&#92;n}&#92;n&#92;n.w-8 {&#92;n  width: 2rem;&#92;n}&#92;n&#92;n.w-full {&#92;n  width: 100%;&#92;n}&#92;n&#92;n.min-w-0 {&#92;n  min-width: 0px;&#92;n}&#92;n&#92;n.flex-1 {&#92;n  flex: 1 1 0%;&#92;n}&#92;n&#92;n.flex-grow {&#92;n  flex-grow: 1;&#92;n}&#92;n&#92;n.transform {&#92;n  transform: translate(var(--tw-translate-x), var(--tw-translate-y)) rotate(var(--tw-rotate)) skewX(var(--tw-skew-x)) skewY(var(--tw-skew-y)) scaleX(var(--tw-scale-x)) scaleY(var(--tw-scale-y));&#92;n}&#92;n&#92;n.cursor-move {&#92;n  cursor: move;&#92;n}&#92;n&#92;n.cursor-not-allowed {&#92;n  cursor: not-allowed;&#92;n}&#92;n&#92;n.resize {&#92;n  resize: both;&#92;n}&#92;n&#92;n.flex-col {&#92;n  flex-direction: column;&#92;n}&#92;n&#92;n.flex-wrap {&#92;n  flex-wrap: wrap;&#92;n}&#92;n&#92;n.items-center {&#92;n  align-items: center;&#92;n}&#92;n&#92;n.justify-center {&#92;n  justify-content: center;&#92;n}&#92;n&#92;n.justify-between {&#92;n  justify-content: space-between;&#92;n}&#92;n&#92;n.gap-1 {&#92;n  gap: 0.25rem;&#92;n}&#92;n&#92;n.overflow-hidden {&#92;n  overflow: hidden;&#92;n}&#92;n&#92;n.rounded-md {&#92;n  border-radius: 0.375rem;&#92;n}&#92;n&#92;n.border {&#92;n  border-width: 1px;&#92;n}&#92;n&#92;n.border-2 {&#92;n  border-width: 2px;&#92;n}&#92;n&#92;n.border-r {&#92;n  border-right-width: 1px;&#92;n}&#92;n&#92;n.border-t {&#92;n  border-top-width: 1px;&#92;n}&#92;n&#92;n.border-gray-200 {&#92;n  --tw-border-opacity: 1;&#92;n  border-color: rgb(229 231 235 / var(--tw-border-opacity, 1));&#92;n}&#92;n&#92;n.border-gray-400 {&#92;n  --tw-border-opacity: 1;&#92;n  border-color: rgb(156 163 175 / var(--tw-border-opacity, 1));&#92;n}&#92;n&#92;n.bg-blue-900 {&#92;n  --tw-bg-opacity: 1;&#92;n  background-color: rgb(30 58 138 / var(--tw-bg-opacity, 1));&#92;n}&#92;n&#92;n.bg-gray-200 {&#92;n  --tw-bg-opacity: 1;&#92;n  background-color: rgb(229 231 235 / var(--tw-bg-opacity, 1));&#92;n}&#92;n&#92;n.bg-gray-300 {&#92;n  --tw-bg-opacity: 1;&#92;n  background-color: rgb(209 213 219 / var(--tw-bg-opacity, 1));&#92;n}&#92;n&#92;n.bg-gray-400 {&#92;n  --tw-bg-opacity: 1;&#92;n  background-color: rgb(156 163 175 / var(--tw-bg-opacity, 1));&#92;n}&#92;n&#92;n.bg-teal-600 {&#92;n  --tw-bg-opacity: 1;&#92;n  background-color: rgb(13 148 136 / var(--tw-bg-opacity, 1));&#92;n}&#92;n&#92;n.bg-white {&#92;n  --tw-bg-opacity: 1;&#92;n  background-color: rgb(255 255 255 / var(--tw-bg-opacity, 1));&#92;n}&#92;n&#92;n.bg-red-500 {&#92;n  --tw-bg-opacity: 1;&#92;n  background-color: rgb(239 68 68 / var(--tw-bg-opacity, 1));&#92;n}&#92;n&#92;n.p-0 {&#92;n  padding: 0px;&#92;n}&#92;n&#92;n.p-0&#92;&#92;.5 {&#92;n  padding: 0.125rem;&#92;n}&#92;n&#92;n.p-1 {&#92;n  padding: 0.25rem;&#92;n}&#92;n&#92;n.p-2 {&#92;n  padding: 0.5rem;&#92;n}&#92;n&#92;n.px-2 {&#92;n  padding-left: 0.5rem;&#92;n  padding-right: 0.5rem;&#92;n}&#92;n&#92;n.py-1 {&#92;n  padding-top: 0.25rem;&#92;n  padding-bottom: 0.25rem;&#92;n}&#92;n&#92;n.text-center {&#92;n  text-align: center;&#92;n}&#92;n&#92;n.text-sm {&#92;n  font-size: 0.875rem;&#92;n  line-height: 1.25rem;&#92;n}&#92;n&#92;n.text-xs {&#92;n  font-size: 0.75rem;&#92;n  line-height: 1rem;&#92;n}&#92;n&#92;n.font-medium {&#92;n  font-weight: 500;&#92;n}&#92;n&#92;n.text-black {&#92;n  --tw-text-opacity: 1;&#92;n  color: rgb(0 0 0 / var(--tw-text-opacity, 1));&#92;n}&#92;n&#92;n.text-white {&#92;n  --tw-text-opacity: 1;&#92;n  color: rgb(255 255 255 / var(--tw-text-opacity, 1));&#92;n}&#92;n&#92;n.underline {&#92;n  text-decoration-line: underline;&#92;n}&#92;n&#92;n.opacity-50 {&#92;n  opacity: 0.5;&#92;n}&#92;n&#92;n.shadow-inner {&#92;n  --tw-shadow: inset 0 2px 4px 0 rgb(0 0 0 / 0.05);&#92;n  --tw-shadow-colored: inset 0 2px 4px 0 var(--tw-shadow-color);&#92;n  box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);&#92;n}&#92;n&#92;n.shadow-md {&#92;n  --tw-shadow: 0 4px 6px -1px rgb(0 0 0 / 0.1), 0 2px 4px -2px rgb(0 0 0 / 0.1);&#92;n  --tw-shadow-colored: 0 4px 6px -1px var(--tw-shadow-color), 0 2px 4px -2px var(--tw-shadow-color);&#92;n  box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);&#92;n}&#92;n&#92;n.ring-1 {&#92;n  --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);&#92;n  --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(1px + var(--tw-ring-offset-width)) var(--tw-ring-color);&#92;n  box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000);&#92;n}&#92;n&#92;n.ring-gray-600 {&#92;n  --tw-ring-opacity: 1;&#92;n  --tw-ring-color: rgb(75 85 99 / var(--tw-ring-opacity, 1));&#92;n}&#92;n&#92;n.transition-colors {&#92;n  transition-property: color, background-color, border-color, text-decoration-color, fill, stroke;&#92;n  transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);&#92;n  transition-duration: 150ms;&#92;n}&#92;n&#92;n.hover&#92;&#92;:bg-blue-700:hover {&#92;n  --tw-bg-opacity: 1;&#92;n  background-color: rgb(29 78 216 / var(--tw-bg-opacity, 1));&#92;n}&#92;n&#92;n.hover&#92;&#92;:bg-gray-100&#92;&#92;/50:hover {&#92;n  background-color: rgb(243 244 246 / 0.5);&#92;n}&#92;n&#92;n.hover&#92;&#92;:bg-gray-300:hover {&#92;n  --tw-bg-opacity: 1;&#92;n  background-color: rgb(209 213 219 / var(--tw-bg-opacity, 1));&#92;n}&#92;n&#92;n.focus-visible&#92;&#92;:outline-none:focus-visible {&#92;n  outline: 2px solid transparent;&#92;n  outline-offset: 2px;&#92;n}&#92;n&#92;n.active&#92;&#92;:bg-gray-100&#92;&#92;/50:active {&#92;n  background-color: rgb(243 244 246 / 0.5);&#92;n}&#92;n&#92;n.active&#92;&#92;:bg-gray-300:active {&#92;n  --tw-bg-opacity: 1;&#92;n  background-color: rgb(209 213 219 / var(--tw-bg-opacity, 1));&#92;n}&#92;n&#92;n.disabled&#92;&#92;:pointer-events-none:disabled {&#92;n  pointer-events: none;&#92;n}&#92;n&#92;n.disabled&#92;&#92;:opacity-50:disabled {&#92;n  opacity: 0.5;&#92;n}&quot;' data-buffer-paths='[]'></marimo-anywidget></marimo-ui-element>"
          }
        }
      ],
      "console": []
    },
    {
      "id": "bkHC",
      "code_hash": "6eedf25243dabc176282323ffce110ac",
      "outputs": [
        {
          "type": "data",
          "data": {
            "application/json": "{\"base64\": \"[encoded data, 54212 characters]\", \"height\": 550, \"show_grid\": true, \"store_background\": false, \"store_grid\": false, \"width\": 889}"
          }
        }
      ],
      "console": []
    },
    {
      "id": "lEQa",
      "code_hash": "b34ea9ece464c02a2780b736c96a8dae",
      "outputs": [
        {
          "type": "data",
          "data": {
            "text/html": "<div class=\"bg-gray-200 p-4\"><img src=\"data:image/png;base64,[encoded data, 35624 characters]\"/></div>"
          }
        }
      ],
      "console": []
    },
    {
      "id": "PKri",
      "code_hash": "a7a3bf6803709927a51c0fd07b611690",
      "outputs": [
        {
          "type": "data",
          "data": {
            "image/png": "data:image/png;base64,[encoded data, 48888 characters]"
          }
        }
      ],
      "console": []
    }
  ]
}